openSUSE Security Update : git-annex (openSUSE-2018-697)

2018-07-06T00:00:00
ID OPENSUSE-2018-697.NASL
Type nessus
Reporter This script is Copyright (C) 2018 and is owned by Tenable, Inc. or an Affiliate thereof.
Modified 2020-05-02T00:00:00

Description

This update for git-annex to version 6.20180626 fixes the following issues :

  • CVE-2018-10857: Prevent file content disclosure by refusing to download content that cannot be verified with a hash, from encrypted special remotes and glacier (bsc#1098062).

  • CVE-2018-10859: Prevent local gpg encrypted file disclosure by refusing to download content that cannot be verified with a hash, from encrypted special remotes (bsc#1098364).

This update brings many other bug fixes and new features. http://hackage.haskell.org/package/git-annex-6.20180626/changelog has a detailed list of changes.

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The descriptive text and package checks in this plugin were
# extracted from openSUSE Security Update openSUSE-2018-697.
#
# The text description of this plugin is (C) SUSE LLC.
#

include("compat.inc");

if (description)
{
  script_id(110937);
  script_version("1.3");
  script_cvs_date("Date: 2018/09/18 11:59:19");

  script_cve_id("CVE-2018-10857", "CVE-2018-10859");

  script_name(english:"openSUSE Security Update : git-annex (openSUSE-2018-697)");
  script_summary(english:"Check for the openSUSE-2018-697 patch");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote openSUSE host is missing a security update."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"This update for git-annex to version 6.20180626 fixes the following
issues :

  - CVE-2018-10857: Prevent file content disclosure by
    refusing to download content that cannot be verified
    with a hash, from encrypted special remotes and glacier
    (bsc#1098062).

  - CVE-2018-10859: Prevent local gpg encrypted file
    disclosure by refusing to download content that cannot
    be verified with a hash, from encrypted special remotes
    (bsc#1098364).

This update brings many other bug fixes and new features.
http://hackage.haskell.org/package/git-annex-6.20180626/changelog has
a detailed list of changes."
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://hackage.haskell.org/package/git-annex-6.20180626/changelog"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bugzilla.opensuse.org/show_bug.cgi?id=1098062"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bugzilla.opensuse.org/show_bug.cgi?id=1098364"
  );
  script_set_attribute(
    attribute:"solution", 
    value:"Update the affected git-annex packages."
  );
  script_set_cvss_base_vector("CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N");
  script_set_cvss3_base_vector("CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:git-annex");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:novell:opensuse:git-annex-bash-completion");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:15.0");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:novell:opensuse:42.3");

  script_set_attribute(attribute:"patch_publication_date", value:"2018/07/05");
  script_set_attribute(attribute:"plugin_publication_date", value:"2018/07/06");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2018 and is owned by Tenable, Inc. or an Affiliate thereof.");
  script_family(english:"SuSE Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/SuSE/release", "Host/SuSE/rpm-list", "Host/cpu");

  exit(0);
}


include("audit.inc");
include("global_settings.inc");
include("rpm.inc");

if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
release = get_kb_item("Host/SuSE/release");
if (isnull(release) || release =~ "^(SLED|SLES)") audit(AUDIT_OS_NOT, "openSUSE");
if (release !~ "^(SUSE15\.0|SUSE42\.3)$") audit(AUDIT_OS_RELEASE_NOT, "openSUSE", "15.0 / 42.3", release);
if (!get_kb_item("Host/SuSE/rpm-list")) audit(AUDIT_PACKAGE_LIST_MISSING);

ourarch = get_kb_item("Host/cpu");
if (!ourarch) audit(AUDIT_UNKNOWN_ARCH);
if (ourarch !~ "^(x86_64)$") audit(AUDIT_ARCH_NOT, "x86_64", ourarch);

flag = 0;

if ( rpm_check(release:"SUSE15.0", reference:"git-annex-6.20180626-lp150.2.5.1") ) flag++;
if ( rpm_check(release:"SUSE15.0", reference:"git-annex-bash-completion-6.20180626-lp150.2.5.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"git-annex-6.20180626-8.1") ) flag++;
if ( rpm_check(release:"SUSE42.3", reference:"git-annex-bash-completion-6.20180626-8.1") ) flag++;

if (flag)
{
  if (report_verbosity > 0) security_warning(port:0, extra:rpm_report_get());
  else security_warning(0);
  exit(0);
}
else
{
  tested = pkg_tests_get();
  if (tested) audit(AUDIT_PACKAGE_NOT_AFFECTED, tested);
  else audit(AUDIT_PACKAGE_NOT_INSTALLED, "git-annex / git-annex-bash-completion");
}